Page MenuHomePhabricator

Write a blog post on 2017-01-25 phabricator update on wmf
Closed, DeclinedPublic

Description

We will be updating phabricator on wmf soon and since the last time we last updated there have been almost of user noticeable updates done upstream.

For starters, differential is getting some new colours for it's diff, You may notice the lighter green for colour blinded users, same for the red.

The quick create dropdown you see on the top bar has been replaced with the new favourites application, this will now allow users to define things to go in there. Admins can now define global's too in there.

Differential is under going some major infrastructure changes as it migrates to EditEngine, same goes for audit.

The difference users will see is differential comment box will look different.

Users may notice more bugs in differential and may see some fixed ones.

The top bar has also been redesigned which not all users will like (IE the username dropdown is now on the left of the search bar instead of the right. (We can if most users doint like this change, change it back to the right without reverting but will require feedback for this)

I have deployed the update onto https://phab-01.wmflabs.org but you will not see the updated favourites application yet as we still need to pull this release https://secure.phabricator.com/w/changelog/2017.03/

We will also need to prepare wmf phabricator for the changes as i have no idea if we will need to re add all the things we added to quick create onto favourites.

There have been many more changes not described in this task, if you see any more please do add it to this task.

See https://blog.phacility.com/post/6/extending_the_menubar/

Event Timeline

Paladox created this task.Jan 21 2017, 3:39 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 21 2017, 3:39 PM
Paladox moved this task from To Triage to Misc on the Phabricator board.Jan 22 2017, 9:24 PM

trying this locally, the favourites application is a deftly improvement, users can now define quick short cuts for them selfs, whereas admins can define them globally :)

Hey @Paladox, can you send me an email? Happy to send you a Google Doc with all of the instructions needed for a blog post. :-)

Hey @Paladox, can you send me an email? Happy to send you a Google Doc with all of the instructions needed for a blog post. :-)

Oh, im not good at creating blogs, and manly would like to do the blog like we did here https://phabricator.wikimedia.org/phame/post/view/9/sponsored_phabricator_improvements/ and https://phabricator.wikimedia.org/phame/post/view/1/what_s_new_lots_of_improvements_on_phabricator.wikimedia.org/

No worries! When someone decides to write it, please contact me and I'll send them the doc. :-)

Ok, thanks.

Dzahn added a subscriber: Dzahn.Jan 23 2017, 7:46 PM

How about putting the Google doc content on wiki? That would eliminate the need for email and extra work outside the ticket system.

Hey @Paladox, can you send me an email? Happy to send you a Google Doc with all of the instructions needed for a blog post. :-)

@EdErhart-WMF: Private emails neither scale nor make any sense here. There's been a meta: page for ages so whatever your "Google Doc" contains it should be on that wiki page instead...

Paladox added a comment.EditedJan 24 2017, 3:43 PM

The update has been deployed at https://phab-01.wmflabs.org which should be going out hopefully to production phabricator this week on wmf.

This includes the new favourites application.

EdErhart-WMF added a comment.EditedJan 24 2017, 9:04 PM

Hey @Aklapper and @Dzahn, I asked for an email because I don't follow my Phabricator notifications on a daily basis. The Google Doc does not supplant Meta in any way; we've used it as an in-Foundation template for several months now. They're easier for us to keep track of, and many staffers are more comfortable writing up a blog post in a word processor rather than on-wiki.

TLDR should the writer of this post want to use the Meta submissions process, that is a-okay.

Zppix added a subscriber: Zppix.Jan 25 2017, 8:10 PM

@EdErhart-WMF I'm willing to write the blog post

Aklapper renamed this task from Write a blog post on the up coming phabricator update on wmf to Write a blog post on 2017-01-25 phabricator update on wmf.Jan 26 2017, 11:26 AM

@Zppix that would be great! I can either send you that Google Doc I mentioned before, or you can start a draft here: https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts

The "Favorites" application might welcome some documentation. Changes of the order of elements in the top bar or slightly different colors or elements in the review box seem minor (we don't have many Differential users yet) or even entirely under the hood (EditEngine). So personally I don't see a big need for a blog post... :)

The major change, which probably doesn't warrant a blog post, is the favorites menu. What's significant about that is, the global "create" menu is gone and now users have the choice to put what they want into their favorites menu. Not that big of a deal but it is a nice improvement.

The major change, which probably doesn't warrant a blog post, is the favorites menu. What's significant about that is, the global "create" menu is gone and now users have the choice to put what they want into their favorites menu. Not that big of a deal but it is a nice improvement.

Soon to be dashbord's too + you can now have dashboards in projects.

Dzahn added a comment.Jan 27 2017, 5:37 PM

Seems to me like this is appropriate for a post to wikitech-l but not really a blog post.

greg added a subscriber: greg.Jan 27 2017, 6:22 PM

The major change, which probably doesn't warrant a blog post, is the favorites menu. What's significant about that is, the global "create" menu is gone and now users have the choice to put what they want into their favorites menu. Not that big of a deal but it is a nice improvement.

Seems to me like this is appropriate for a post to wikitech-l but not really a blog post.

concur

Does anyone plan to write that email? :) (Because if not, this task will realistically end up as "declined".)

jrbs added a subscriber: jrbs.Jan 28 2017, 10:47 PM

I'd third that this probably isn't something that would be 100% suitable for the blog. Though I do think Phabricator has been underrepresented and that the blog at least provides another arm for outreach to those who might be interested in bug work but who aren't aware somewhere like this exists.

The "Favorites" application might welcome some documentation. Changes of the order of elements in the top bar or slightly different colors or elements in the review box seem minor (we don't have many Differential users yet) or even entirely under the hood (EditEngine). So personally I don't see a big need for a blog post... :)

Also the dashboards in projects should also be documented once we update again. I've deployed the updated on https://phab-01.wmflabs.org

See https://phab-01.wmflabs.org/project/56/item/view/124/

Dzahn removed a subscriber: Dzahn.Jan 30 2017, 4:43 PM
Aklapper closed this task as Declined.Feb 9 2017, 6:33 PM

Silence. Which likely means "declined".